Bug 1006813 - xml output of gluster volume 'rebalance status' and 'remove-brick status' have missing status information in <aggregate> section
xml output of gluster volume 'rebalance status' and 'remove-brick status' hav...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.4.0
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Timothy Asir
:
Depends On: 955614
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 06:31 EDT by Aravinda VK
Modified: 2013-10-17 05:55 EDT (History)
8 users (show)

See Also:
Fixed In Version: glusterfs-3.4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 955614
Environment:
Last Closed: 2013-10-17 05:55:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Anand Avati 2013-09-13 06:53:20 EDT
REVIEW: http://review.gluster.org/4950 (cli: add aggregate status for rebalance and remove-brick status xml output) posted (#2) for review on master by Timothy Asir (tim.gluster@gmail.com)
Comment 2 Anand Avati 2013-09-13 07:07:39 EDT
REVIEW: http://review.gluster.org/4950 (cli: add aggregate status for rebalance and remove-brick status xml output) posted (#3) for review on master by Timothy Asir (tim.gluster@gmail.com)
Comment 3 Anand Avati 2013-09-18 07:16:07 EDT
REVIEW: http://review.gluster.org/4950 (cli: add aggregate status for rebalance and remove-brick status xml output) posted (#4) for review on master by Timothy Asir (tim.gluster@gmail.com)
Comment 4 Anand Avati 2013-09-18 12:01:45 EDT
COMMIT: http://review.gluster.org/4950 committed in master by Anand Avati (avati@redhat.com) 
------
commit 91e4b7aa1361087317238b9bf6427ef274737c8c
Author: Timothy Asir <tjeyasin@redhat.com>
Date:   Wed Sep 11 13:50:40 2013 +0530

    cli: add aggregate status for rebalance and remove-brick status xml output
    
    Add aggregate status information in <aggregate> section of gluster volume
    'rebalance status' and 'remove-brick status cli xml output.
    
    The aggregate status determined based on the most critical level
    and the aggregate status will have 'Complete' only when all
    individual status are 'Complete'.
    
    Change-Id: Ie805b9dd52fd82fd277c3da9ee91cc8b6dea8212
    BUG: 1006813
    Signed-off-by: Timothy Asir <tjeyasin@redhat.com>
    Reviewed-on: http://review.gluster.org/4950
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaushal M <kaushal@redhat.com>
Comment 5 Anand Avati 2013-09-19 06:44:58 EDT
REVIEW: http://review.gluster.org/5972 (cli: add aggregate status for rebalance and remove-brick status xml output) posted (#1) for review on release-3.4 by Kaushal M (kaushal@redhat.com)
Comment 6 Anand Avati 2013-09-19 17:08:46 EDT
COMMIT: http://review.gluster.org/5972 committed in release-3.4 by Anand Avati (avati@redhat.com) 
------
commit 3dbd950b10154f7662bb3cfccedc98e95652c522
Author: Kaushal M <kaushal@redhat.com>
Date:   Wed Sep 11 13:50:40 2013 +0530

    cli: add aggregate status for rebalance and remove-brick status xml output
    
     Backport of 91e4b7aa1361087317238b9bf6427ef274737c8c from master
    
    Add aggregate status information in <aggregate> section of gluster volume
    'rebalance status' and 'remove-brick status cli xml output.
    
    The aggregate status determined based on the most critical level
    and the aggregate status will have 'Complete' only when all
    individual status are 'Complete'.
    
    BUG: 1006813
    Change-Id: I803d4bfb31dbda53b5665332263576c910562805
    Original-author: Timothy Asir <tjeyasin@redhat.com>
    Signed-off-by: Kaushal M <kaushal@redhat.com>
    Reviewed-on: http://review.gluster.org/5972
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.